View Issue Details

IDProjectCategoryView StatusLast Update
0001999XdebugStep Debuggingpublic2021-10-04 09:32
Reporterderick Assigned Toderick  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1dev 
Target Version3.1devFixed in Version3.1.0 
Summary0001999: Add "readonly" facet to PHP 8.1 readonly properties
DescriptionPHP 8.1 has a new feature, readonly properties, and it would be great if the debugger added a "Facet" to these properties when sending data to the IDE.
TagsNo tags attached.
Operating System
PHP Version8.0.0-8.0.4

Activities

Issue History

Date Modified Username Field Change
2021-07-25 18:12 derick New Issue
2021-07-26 23:21 derick Note Added: 0005942
2021-07-27 07:49 derick Assigned To => derick
2021-07-27 07:49 derick Status new => closed
2021-07-27 07:49 derick Resolution open => fixed
2021-07-27 07:49 derick Fixed in Version => 3.1dev
2021-09-05 16:15 derick Fixed in Version 3.1dev => 3.1.0beta1
2021-10-04 09:32 derick Fixed in Version 3.1.0beta1 => 3.1.0